summaryrefslogtreecommitdiffstats
path: root/src/main.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2016-01-23 14:41:04 (EST)
committer P. J. McDermott <pj@pehjota.net>2016-01-23 14:41:04 (EST)
commita0db3a63e8f5f5796db3f4a631e6caca6432b791 (patch)
tree586ff6aab68be2bf2ff7e99402da1bb634fabd19 /src/main.sh
parent5f5d78f778aa43497d6f86a2e49b55e3e243ce38 (diff)
main(): Exit on missing locale
Diffstat (limited to 'src/main.sh')
-rw-r--r--src/main.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/main.sh b/src/main.sh
index 51b21ac..17cc42b 100644
--- a/src/main.sh
+++ b/src/main.sh
@@ -42,7 +42,9 @@ main()
local cmd=
local es=
- load_locale
+ if ! load_locale; then
+ return 2
+ fi
if ! get_options "${@}"; then
cmd_help_main >&2